From 161c1b92bced7996e92026ff9ae503593f6590f6 Mon Sep 17 00:00:00 2001
From: Nate Graham <nate@kde.org>
Date: Sun, 14 Jun 2020 09:10:38 -0600
Subject: [PATCH] Port applet to use PlasmaExtras.PlaceholderMessage

The Kirigami version uses QQC2 elements which don't respect the plasma
theme and color scheme, leading to thing slooking out of place
especially when using a dark color theme or scheme.

Depends on https://invent.kde.org/frameworks/plasma-framework/-/merge_requests/13
---
 CMakeLists.txt                                        | 6 ------
 src/applet/package/contents/ui/FullRepresentation.qml | 4 +---
 2 files changed, 1 insertion(+), 9 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index d9067851..5ddce978 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -33,12 +33,6 @@ find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
 find_package(KDED ${KF5_MIN_VERSION} REQUIRED)
 find_package(SharedMimeInfo REQUIRED)
 
-find_package(KF5Kirigami2 ${KF5_MIN_VERSION} CONFIG)
-set_package_properties(KF5Kirigami2 PROPERTIES
-    DESCRIPTION "A QtQuick based components set"
-    TYPE RUNTIME
-)
-
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
diff --git a/src/applet/package/contents/ui/FullRepresentation.qml b/src/applet/package/contents/ui/FullRepresentation.qml
index 5bd32f15..e77bf295 100644
--- a/src/applet/package/contents/ui/FullRepresentation.qml
+++ b/src/applet/package/contents/ui/FullRepresentation.qml
@@ -27,8 +27,6 @@ import org.kde.plasma.components 2.0 as PlasmaComponents
 import org.kde.plasma.components 3.0 as PlasmaComponents3
 import org.kde.plasma.private.bluetooth 1.0 as PlasmaBt
 
-import org.kde.kirigami 2.12 as Kirigami
-
 PlasmaComponents3.Page {
 
     Action {
@@ -99,7 +97,7 @@ PlasmaComponents3.Page {
         // Not inside the ListView because we want the listview to be hidden
         // when Bluetooth is disabled, yet still show an "Enable Bluetooth"
         // message
-        Kirigami.PlaceholderMessage {
+        PlasmaExtras.PlaceholderMessage {
             anchors.centerIn: parent
             anchors.left: parent.left
             anchors.right: parent.right
-- 
2.27.0

